"""
CS106AP Summer 2019
Lecture 10 example, written by Sonja Johnson-Yu
7.10.19
"""

def longest_word_in_file(filename):
    """
    Returns the longest word in the file.

    Input:
        filename (string): path to file to be read

    Returns:
        longest_word (string): longest word in file
    """
    longest_word = ''
    with open(filename, 'r') as f:
        for line in f:
            word = longest_word_in_line(line)
            if len(word) > len(longest_word):
                longest_word = word

    return longest_word


def longest_word_in_line(line):
    """
    Returns the longest word in the line. If there are multiple longest
    words, select the word that comes first in the line.

    Input:
        line (string): line from which to parse words

    Returns:
        longest_word (string): longest word in line
    >>> longest_word_in_line('I love to eat tomatoes')
    'tomatoes'
    >>> longest_word_in_line('The quick brown fox jumps')
    'quick'
    >>> longest_word_in_line('')
    ''
    """
    longest_word = ''
    words = line.split()
    for word in words:
        if len(word) > len(longest_word):
            longest_word = word

    return longest_word


def main():
    print(longest_word_in_file('gettysburg.txt'))


if __name__ == '__main__':
    main()
